Bug 64796 - up2date segfaults during Migration
up2date segfaults during Migration
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-10 20:25 EDT by R P Herrold
Modified: 2015-01-07 18:56 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-20 20:20:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2002-05-10 20:25:32 EDT
Copied the registration from my backup, on a clean re-install of 7.2, followed
by a upgrade to RH 7.3 -- got this:

[root@couch root]# up2date
Migrating network settings from rhn_register
Traceback (innermost last):
  File "/usr/sbin/up2date", line 1169, in ?
    main()
  File "/usr/sbin/up2date", line 364, in main
    up2date.updateLoginInfo()
  File "/usr/share/rhn/up2date_client/up2date.py", line 556, in updateLoginInfo
    loginInfo = login()
  File "/usr/share/rhn/up2date_client/up2date.py", line 487, in login
    loginInfo = doCall(server.up2date.login, systemId)
  File "/usr/share/rhn/up2date_client/up2date.py", line 426, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 689, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 746, in __request
    self.__protocol
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 638, in request
    protocol=self.protocol)
  File "/usr/lib/python1.5/site-packages/cgiwrap.py", line 591, in send_http
    h.send(self.data)
  File "/usr/lib/python1.5/httplib.py", line 86, in send
    self.sock.send(str)
  File "/usr/lib/python1.5/httplib.py", line 184, in send
    return self.__ssl.write(stuff)
TypeError: argument 1: expected string without null bytes, string found
[root@couch root]# rpm -q rhn_register up2date
rhn_register-2.7.21-7.x.3
up2date-2.7.86-7.x.3
[root@couch root]# cat /etc/redhat-release
Red Hat Linux release 7.3 (Valhalla)
[root@couch root]#

Please let me know if you need more.  I an leery of uploading my
/etc/sysconfig/rhn/systemid as an attachment.
Comment 1 Adrian Likins 2002-05-15 15:24:51 EDT
ugh, uhmm.. off hand, no clue... I'll dig deeper and see
if I find anything.
Comment 2 Warren Togami 2002-05-19 08:25:48 EDT
Did you do a normal upgrade from Red Hat 7.2 to 7.3 using the installer, or
manually upgrade redhat-release then run up2date -u?  The latter seems to work
in many cases, but it is untested (unsupported), and likely to cause problems in
some cases like a version downgrade or orphans leftover due to obsoletism.
Comment 3 R P Herrold 2002-05-20 20:20:39 EDT
 straight installer upgrade from CD boot ... text mode
Comment 4 R P Herrold 2002-07-13 00:10:12 EDT
not seen with current content -- closing
Comment 5 Bill Peck 2003-05-27 11:27:52 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-177.html

Note You need to log in before you can comment on or make changes to this bug.